

# do the same for assignments.  eventually.

defined_assignments = [
    'TECH_NOBLE_CUSTOMS',
    'add_claim',
    'add_law_w_cooldown',
    'add_lover',
    'add_objective',
    'add_pressed_claim',
    'add_spouse',
    'add_trait',
    'age',
    'ai',
    'at_location',
    'banish',
    'base_health',
    'become_heretic',
    'can_be_given_away',
    'can_change_religion',
    'cancel_objective',
    'chance',
    'change_diplomacy',
    'change_intrigue',
    'change_learning',
    'change_random_mil_tech',
    'change_stewardship',
    'character',
    'claimed_by',
    'clear_revolt',
    'clear_wealth',
    'clr_character_flag',
    'clr_global_flag',
    'clr_province_flag',
    'controlled_by',
    'controls_religion',
    'culture',
    'cure_illness',
    'days',
    'death_reason',
    'demesne_efficiency',
    'demesne_size',
    'diplomacy',
    'duration',
    'dynasty',
    'employer',
    'excommunicated_for',
    'factor',
    'family',
    'female',
    'fertility',
    'flag',
    'give_minor_title',
    'give_title',
    'grant_title',
    'has_called_crusade',
    'has_character_flag',
    'has_character_modifier',
    'has_disease',
    'has_epidemic',
    'has_global_flag',
    'has_guardian',
    'has_higher_tech_than',
    'has_job_action',
    'has_job_title',
    'has_landed_title',
    'has_law',
    'has_lover',
    'has_minor_title',
    'has_nickname',
    'has_objective',
    'has_province_modifier',
    'health',
    'higher_tier_than',
    'holder',
    'home',
    'id',
    'impregnate',
    'imprison',
    'imprisoned_days',
    'in_battle',
    'in_command',
    'in_siege',
    'independent',
    'intrigue',
    'is_abroad',
    'is_alive',
    'is_attacker',
    'is_betrothed',
    'is_capital',
    'is_councillor',
    'is_female',
    'is_feudal',
    'is_heresy_of',
    'is_heretic',
    'is_ill',
    'is_land',
    'is_liege_of',
    'is_located_in',
    'is_married',
    'is_parent_religion',
    'is_plot_active',
    'is_pregnant',
    'is_priest',
    'is_primary_heir',
    'is_republic',
    'is_ruler',
    'is_theocracy',
    'is_title_active',
    'is_titular',
    'killer',
    'learning',
    'leave_plot',
    'lifestyle_traits',
    'martial',
    'modifier',
    'month',
    'months',
    'multiplier',
    'name',
    'num_of_children',
    'num_of_claims',
    'num_of_friends',
    'num_of_king_titles',
    'num_of_plot_backers',
    'num_of_prisoners',
    'num_of_rivals',
    'num_of_settlements',
    'num_of_vassals',
    'num_traits',
    'personality_traits',
    'piety',
    'port',
    'prestige',
    'prisoner',
    'province',
    'province_id',
    'random',
    'random_traits',
    'realm_intrigue',
    'religion',
    'religion_authority',
    'religion_group',
    'remove_character_modifier',
    'remove_lover',
    'remove_province_modifier',
    'remove_spouse',
    'remove_trait',
    'reverse_banish',
    'reverse_religion',
    'revoke_law',
    'revolt_risk',
    'rightful_religious_head',
    'same_liege',
    'same_realm',
    'scaled_by_biggest_garrison',
    'scaled_wealth',
    'send_assassin',
    'set_character_flag',
    'set_father',
    'set_guardian',
    'set_mother',
    'stewardship',
    'tier',
    'title',
    'tooltip',
    'trait',
    'treasury',
    'type',
    'using_cb',
    'value',
    'vassal_of',
    'war',
    'wealth',
    'which',
    'who',
    'year',
    'years'
]

# for __tmp__ in defined_blocks:
# __tmp__=__tmp__.strip()
# exec('def {}(*args): return BLOCK("{}",args)'.format(__tmp__,__tmp__))